# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'steamd/version'

Gem::Specification.new do |spec|
  spec.name          = 'steamd'
  spec.version       = Steamd::VERSION
  spec.authors       = ['Taylor Finnell']
  spec.email         = ['tmfinnell@gmail.com']
  spec.license       = 'MIT'

  spec.summary       = 'Ruby access to the Steam Language.'

  spec.description   = 'Generate Ruby code for the full Steam Language.'\
                          ' Useful for Steam clients'

  spec.homepage      = 'http://github.com/fastpeek/steamd'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.bindir        = 'bin'
  spec.executables   = ['steamd']
  spec.require_paths = ['lib', 'ext']

  spec.required_ruby_version = '>= 2.3.1'

  spec.add_development_dependency 'bundler', '~> 1.13'
  spec.add_development_dependency 'rake',    '~> 10.0'
  spec.add_development_dependency 'rspec',   '~> 3.0'
  spec.add_development_dependency 'pry',     '~> 0.10.4'
  spec.add_development_dependency 'rubocop', '~> 0.44.1'
  spec.add_development_dependency 'yard',    '~> 0.9.5'
  spec.add_development_dependency 'thor',    '~> 0.19.1'
  spec.add_development_dependency 'treetop', '~> 1.6'
end
